# std::move_only_function::swap

From cppreference.com
< cpp‎ | utility‎ | functional‎ | move only function

void swap( move_only_function& other ) noexcept; |  | (since C++23)

Exchanges the stored callable objects of *this and `other`.

### Parameters

other | - | function wrapper to exchange the stored callable object with

### Return value

(none)

### See also

swap | swaps the contents (public member function of `std::function<R(Args...)>`)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/utility/functional/move_only_function/swap&oldid=134313"